Name:		hybserv
Version:	1.9.3
Release:	1%{?dist}
Summary:	Hybrid IRC Services

Group:		Applications/Communications
License:	GPLv2
URL:		http://hybserv2.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	hybserv.logrotate
Source2:	hybserv.init
Source3:	hybserv-fedora-settings.conf
# Fedora specific patch
Patch0:		hybserv-1.9.3-prefix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):	/sbin/chkconfig
Requires(preun):	/sbin/chkconfig
Requires(preun):	/sbin/service
Requires:	ircd-hybrid

%description
Hybserv2 is a new and improved version of the now unsupported Hybserv,
sporting new features, bugfixes, and more. It is specifically designed
for Hybrid IRC servers, but may work with others as well.
It includes OperServ, NickServ, ChanServ, MemoServ, StatServ, HelpServ,
and Global. Each of the services can be enabled and disabled as necessary.
Hybserv2 was specifically designed to run with Hybrid ircd,
although it should work with Ratbox∞ ircd and any other Hybrid-based ircd.

%package mkpasswd
Summary:	Password hash generator for hybserv2
Group:	Applications/File

%description mkpasswd
Ircd-mkpasswd is a password hash generator for hybserv2.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .prefix


%build
%configure 					\
        --with-helpdir=%{_datadir}/%{name}      \
        --with-confdir=%{_sysconfdir}/%{name}   \
        --sysconfdir=%{_sysconfdir}             \
        --with-logdir=%{_var}/log/%{name}       \
        --with-nicklen=32                       \
        --with-topiclen=350                     \

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX="$RPM_BUILD_ROOT"

install -D -m664 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/hybserv
install -D -m755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/settings.conf

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8 && mv $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/*.8 $RPM_BUILD_ROOT%{_mandir}/man8/
mv $RPM_BUILD_ROOT%{_bindir}/mkpasswd $RPM_BUILD_ROOT%{_bindir}/ircd-mkpasswd
rm -fr $RPM_BUILD_ROOT%{_bindir}/showchans $RPM_BUILD_ROOT%{_bindir}/shownicks

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 0 ]; then
        /sbin/chkconfig --add hybserv
fi

%preun
if [ $1 -eq 0 ]; then
        /sbin/service hybserv stop >/dev/null 2>&1
        /sbin/chkconfig --del hybserv
fi

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING INSTALL README RELEASENOTES TODO UPGRADE doc/*
%{_bindir}/*
%exclude %{_bindir}/ircd-mkpasswd
%{_sysconfdir}/init.d/%{name}
%{_datadir}/doc/%{name}
%{_var}/lib/%{name}/*
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(750,root,ircd) %config(noreplace) %{_sysconfdir}/%{name}
%dir %attr(-,ircd,ircd) %{_var}/lib/%{name}
%dir %attr(750,ircd,ircd) %{_var}/log/%{name}
%{_mandir}/man8/*.8*

%files mkpasswd
%defattr(-,root,root,-)
%{_bindir}/ircd-mkpasswd

%changelog
* Sat Sep 6 2008 Marek Mahut <mmahut@fedoraproject.org> - 1.9.3-1
- Initial package build at FUDCon Brno 2008
